%define oname Markdown

Summary: Python implementation of the markdown text-to-HTML conversion tool
Name: python-markdown
Version: 3.3.6
Release: %mkrel 1
License: BSD
Group: Development/Python
Url: https://pypi.org/project/Markdown/
Source: https://files.pythonhosted.org/packages/source/M/Markdown/%oname-%version.tar.xz
BuildRequires: python3-devel
BuildRequires: python3-nose
BuildRequires: python3-yaml

BuildArch: noarch

%description
This is a Python implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%package -n python3-markdown
Summary: Python 3 implementation of the markdown text-to-HTML conversion tool
Group: Development/Python

%description -n python3-markdown
This is a Python 3 implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%prep
%setup -q -n %oname-%version

# drop bundled egg-info
rm -rf *.egg-info/

# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
find docs -type f \
  -exec sed -i 's/\r//' {} \;

%build
%py3_build

%install
%py3_install

# rename binary
mv %{buildroot}%{_bindir}/markdown_py{,-%{python3_version}}

# 3.X binary is called by default for now
ln -s markdown_py-%{python3_version} %{buildroot}%{_bindir}/markdown_py


%files -n python3-markdown
%doc docs/*
%{python3_sitelib}/*
%{_bindir}/markdown_py
%{_bindir}/markdown_py-%{python3_version}


%changelog
* Sat Feb 26 2022 TerryN <terryn94 at gmail.com> 3.3.6-1pclos2022
- update and rebuild for python 3.10

* Sat Nov 30 2019 tex 3.1.1-1pclos2019
- update
